# ExplicitEncryptionType enum

Inheritance
  - Object
  - Enum
  - ExplicitEncryptionType
Implemented types
  - StanzaHandlerExtension

## Constructors

ExplicitEncryptionType ()
  const
ExplicitEncryptionType.fromNamespace (String namespace)
  factory

## Values

otr → const ExplicitEncryptionType
legacyOpenPGP → const ExplicitEncryptionType
openPGP → const ExplicitEncryptionType
omemo → const ExplicitEncryptionType
omemo1 → const ExplicitEncryptionType
omemo2 → const ExplicitEncryptionType
unknown → const ExplicitEncryptionType

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
index → int
  A numeric identifier for the enumerated value.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toNamespace () → String
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode
  Create an <encryption> element with an xmlns indicating what type of encryption was used.</encryption>

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List <ExplicitEncryptionType>
  A constant List of the values in this enum, in order of their declaration.
  `[otr, legacyOpenPGP, openPGP, omemo, omemo1, omemo2, unknown]`